> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List profiles

> List all profiles visible to the caller. Returns global profiles (available to everyone) plus any profiles owned by the caller's organization.



## OpenAPI

````yaml /openapi.json get /cost-of-energy/v1/profiles
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /cost-of-energy/v1/profiles:
    get:
      tags:
        - profiles
      summary: List profiles
      description: >-
        List all profiles visible to the caller. Returns global profiles
        (available to everyone) plus any profiles owned by the caller's
        organization.
      operationId: list_profiles_cost_of_energy_v1_profiles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileListResponse'
          description: Successful Response
components:
  schemas:
    ProfileListResponse:
      description: Response containing available profiles.
      example:
        profiles:
          - description: Nord Pool day-ahead prices for SE3.
            end_time: '2026-02-01T00:00:00+01:00'
            id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
            name: Hourly spot price SE3 2026
            resolution: hourly
            scope: org
            start_time: '2026-01-01T00:00:00+01:00'
            tags:
              - spot-price
              - SE3
            unit: SEK/kWh
      properties:
        profiles:
          items:
            $ref: '#/components/schemas/ProfileListItem'
          title: Profiles
          type: array
      required:
        - profiles
      title: ProfileListResponse
      type: object
    ProfileListItem:
      description: Summary of a profile returned in list responses.
      example:
        description: Nord Pool day-ahead prices for SE3.
        end_time: '2026-02-01T00:00:00+01:00'
        id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        name: Hourly spot price SE3 2026
        resolution: hourly
        scope: org
        start_time: '2026-01-01T00:00:00+01:00'
        tags:
          - spot-price
          - SE3
        unit: SEK/kWh
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Optional description.
          title: Description
        end_time:
          description: End of the timeseries period (exclusive).
          format: date-time
          title: End Time
          type: string
        id:
          description: Unique identifier for the profile.
          format: uuid
          title: Id
          type: string
        name:
          description: Human-readable name.
          title: Name
          type: string
        resolution:
          $ref: '#/components/schemas/Resolution'
          description: Temporal resolution of the values.
        scope:
          description: Whether this is a global profile or owned by your organization.
          enum:
            - global
            - org
          title: Scope
          type: string
        start_time:
          description: Start of the timeseries period (inclusive).
          format: date-time
          title: Start Time
          type: string
        tags:
          description: Tags for categorizing and filtering profiles.
          items:
            type: string
          title: Tags
          type: array
        unit:
          $ref: '#/components/schemas/Unit'
          description: Unit of measurement for the values.
      required:
        - end_time
        - id
        - name
        - resolution
        - scope
        - start_time
        - tags
        - unit
      title: ProfileListItem
      type: object
    Resolution:
      description: >-
        Temporal resolution


        ### Available resolutions


        - **quarter_hourly** — 15-minute resolution


        - **hourly** — 60-minute resolution


        - **daily** — Daily resolution in *calendar* days, not necessarily
        exactly 24 hours, depending on daylight savings etc


        - **weekly** — Weekly resolution in *calendar* weeks, not necessarily
        exactly 24 * 7 hours, depending on daylight savings etc


        - **monthly** — Monthly resolution in *calendar* months, taking into
        account things like daylight savings and leap year calculations


        - **yearly** — Annual resolution in *calendar* years, taking into
        account things like daylight savings and leap year calculations
      enum:
        - quarter_hourly
        - hourly
        - daily
        - weekly
        - monthly
        - yearly
      title: Resolution
      type: string
    Unit:
      description: >-
        Units indicate, well, the unit of values. These are used in places like
        [Datasets](/api-reference/cost-of-energy/models/dataset) and
        [Levels](/api-reference/cost-of-energy/models/level) to indicate the
        unit the data is in.


        ### Available units


        - **A** — Current in Amperes


        - **kV** — Voltage in kilo volts


        - **kW** — Power in kilo watts


        - **kWh** — Energy in kilo watt hours


        - **hours** — Time in hours


        - **SEK** — Monetary amount in SEK


        - **NOK** — Monetary amount in NOK


        - **EUR** — Monetary amount in EUR


        - **SEK_per_kWh** — Monetary rate in SEK per kWh


        - **SEK_per_kW** — Monetary rate in SEK per kW


        - **NOK_per_kWh** — Monetary rate in NOK per kWh


        - **NOK_per_kW** — Monetary rate in NOK per kW


        - **EUR_per_kWh** — Monetary rate in EUR per kWh


        - **EUR_per_kW** — Monetary rate in EUR per kW


        - **%** — Percentage, as a float, where 1.0 represents 100%
      enum:
        - A
        - kV
        - kW
        - kWh
        - hours
        - SEK
        - NOK
        - EUR
        - SEK_per_kWh
        - SEK_per_kW
        - NOK_per_kWh
        - NOK_per_kW
        - EUR_per_kWh
        - EUR_per_kW
        - '%'
      title: Unit
      type: string
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````